io.etcd.jetcd.api

## Class Compare

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.etcd.jetcd.api.Compare

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, CompareOrBuilder, Serializable

    public final class Compare
    extends com.google.protobuf.GeneratedMessageV3
    implements CompareOrBuilder

Protobuf type `etcdserverpb.Compare`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Compare.Builder` Protobuf type `etcdserverpb.Compare`
`static class` `Compare.CompareResult` Protobuf enum `etcdserverpb.Compare.CompareResult`
`static class` `Compare.CompareTarget` Protobuf enum `etcdserverpb.Compare.CompareTarget`
`static class` `Compare.TargetUnionCase`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `CREATE_REVISION_FIELD_NUMBER`
`static int` `KEY_FIELD_NUMBER`
`static int` `MOD_REVISION_FIELD_NUMBER`
`static int` `RANGE_END_FIELD_NUMBER`
`static int` `RESULT_FIELD_NUMBER`
`static int` `TARGET_FIELD_NUMBER`
`static int` `VALUE_FIELD_NUMBER`
`static int` `VERSION_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`long` `getCreateRevision()` create_revision is the creation revision of the given key
`static Compare` `getDefaultInstance()`
`Compare` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.ByteString` `getKey()` key is the subject key for the comparison operation.
`long` `getModRevision()` mod_revision is the last modified revision of the given key.
`com.google.protobuf.Parser<Compare>` `getParserForType()`
`com.google.protobuf.ByteString` `getRangeEnd()` range_end compares the given target to all keys in the range [key, range_end).
`Compare.CompareResult` `getResult()` result is logical comparison operation for this comparison.
`int` `getResultValue()` result is logical comparison operation for this comparison.
`int` `getSerializedSize()`
`Compare.CompareTarget` `getTarget()` target is the key-value field to inspect for the comparison.
`Compare.TargetUnionCase` `getTargetUnionCase()`
`int` `getTargetValue()` target is the key-value field to inspect for the comparison.
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`com.google.protobuf.ByteString` `getValue()` value is the value of the given key, in bytes.
`long` `getVersion()` version is the version of the given key
`int` `hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static Compare.Builder` `newBuilder()`
`static Compare.Builder` `newBuilder(Compare prototype)`
`Compare.Builder` `newBuilderForType()`
`protected Compare.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static Compare` `parseDelimitedFrom(InputStream input)`
`static Compare` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Compare` `parseFrom(byte[] data)`
`static Compare` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Compare` `parseFrom(ByteBuffer data)`
`static Compare` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Compare` `parseFrom(com.google.protobuf.ByteString data)`
`static Compare` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Compare` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static Compare` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Compare` `parseFrom(InputStream input)`
`static Compare` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Compare>` `parser()`
`Compare.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### RESULT_FIELD_NUMBER

    public static final int RESULT_FIELD_NUMBER

See Also:
  Constant Field Values

#### TARGET_FIELD_NUMBER

    public static final int TARGET_FIELD_NUMBER

See Also:
  Constant Field Values

#### KEY_FIELD_NUMBER

    public static final int KEY_FIELD_NUMBER

See Also:
  Constant Field Values

#### VERSION_FIELD_NUMBER

    public static final int VERSION_FIELD_NUMBER

See Also:
  Constant Field Values

#### CREATE_REVISION_FIELD_NUMBER

    public static final int CREATE_REVISION_FIELD_NUMBER

See Also:
  Constant Field Values

#### MOD_REVISION_FIELD_NUMBER

    public static final int MOD_REVISION_FIELD_NUMBER

See Also:
  Constant Field Values

#### VALUE_FIELD_NUMBER

    public static final int VALUE_FIELD_NUMBER

See Also:
  Constant Field Values

#### RANGE_END_FIELD_NUMBER

    public static final int RANGE_END_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getTargetUnionCase

    public Compare.TargetUnionCase getTargetUnionCase()

Specified by:
  `getTargetUnionCase` in interface `CompareOrBuilder`

#### getResultValue

    public int getResultValue()

     result is logical comparison operation for this comparison.

`.etcdserverpb.Compare.CompareResult result = 1;`

Specified by:
  `getResultValue` in interface `CompareOrBuilder`
Returns:
  The enum numeric value on the wire for result.

#### getResult

    public Compare.CompareResult getResult()

     result is logical comparison operation for this comparison.

`.etcdserverpb.Compare.CompareResult result = 1;`

Specified by:
  `getResult` in interface `CompareOrBuilder`
Returns:
  The result.

#### getTargetValue

    public int getTargetValue()

     target is the key-value field to inspect for the comparison.

`.etcdserverpb.Compare.CompareTarget target = 2;`

Specified by:
  `getTargetValue` in interface `CompareOrBuilder`
Returns:
  The enum numeric value on the wire for target.

#### getTarget

    public Compare.CompareTarget getTarget()

     target is the key-value field to inspect for the comparison.

`.etcdserverpb.Compare.CompareTarget target = 2;`

Specified by:
  `getTarget` in interface `CompareOrBuilder`
Returns:
  The target.

#### getKey

    public com.google.protobuf.ByteString getKey()

     key is the subject key for the comparison operation.

`bytes key = 3;`

Specified by:
  `getKey` in interface `CompareOrBuilder`
Returns:
  The key.

#### getVersion

    public long getVersion()

     version is the version of the given key

`int64 version = 4;`

Specified by:
  `getVersion` in interface `CompareOrBuilder`
Returns:
  The version.

#### getCreateRevision

    public long getCreateRevision()

     create_revision is the creation revision of the given key

`int64 create_revision = 5;`

Specified by:
  `getCreateRevision` in interface `CompareOrBuilder`
Returns:
  The createRevision.

#### getModRevision

    public long getModRevision()

     mod_revision is the last modified revision of the given key.

`int64 mod_revision = 6;`

Specified by:
  `getModRevision` in interface `CompareOrBuilder`
Returns:
  The modRevision.

#### getValue

    public com.google.protobuf.ByteString getValue()

     value is the value of the given key, in bytes.

`bytes value = 7;`

Specified by:
  `getValue` in interface `CompareOrBuilder`
Returns:
  The value.

#### getRangeEnd

    public com.google.protobuf.ByteString getRangeEnd()

     range_end compares the given target to all keys in the range [key, range_end).
     See RangeRequest for more details on key ranges.

`bytes range_end = 8;`

Specified by:
  `getRangeEnd` in interface `CompareOrBuilder`
Returns:
  The rangeEnd.

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static Compare parseFrom(ByteBuffer data)
                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Compare parseFrom(ByteBuffer data,
                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Compare parseFrom(com.google.protobuf.ByteString data)
                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Compare parseFrom(com.google.protobuf.ByteString data,
                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Compare parseFrom(byte[] data)
                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Compare parseFrom(byte[] data,
                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                             throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Compare parseFrom(InputStream input)
                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Compare parseFrom(InputStream input,
                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                             throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Compare parseDelimitedFrom(InputStream input)
                                      throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Compare parseDelimitedFrom(InputStream input,
                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                      throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Compare parseFrom(com.google.protobuf.CodedInputStream input)
                             throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Compare parseFrom(com.google.protobuf.CodedInputStream input,
                                    com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                             throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public Compare.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static Compare.Builder newBuilder()

#### newBuilder

    public static Compare.Builder newBuilder(Compare prototype)

#### toBuilder

    public Compare.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected Compare.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static Compare getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<Compare> parser()

#### getParserForType

    public com.google.protobuf.Parser<Compare> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public Compare getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`